Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.jdbc.meta
Class ReverseMappingTool.Flags

    java.lang.Object
      org.apache.openjpa.jdbc.meta.ReverseMappingTool.Flags

Enclosing class:
  ReverseMappingTool

    public static class ReverseMappingTool.Flags

extends Object

Holder for run flags.

Field Summary
`String` | `accessType`
`boolean` | `blobAsObject`
`ReverseCustomizer` | `customizer`
`boolean` | `detachable`
`File` | `directory`
`String` | `discriminatorStrategy`
`CodeFormat` | `format`
`boolean` | `generateAnnotations`
`String` | `identityClassSuffix`
`boolean` | `innerIdentityClasses`
`boolean` | `inverseRelations`
`String` | `metaDataLevel`
`boolean` | `nullableAsObject`
`String` | `packageName`
`boolean` | `primaryKeyOnJoin`
`Properties` | `typeMap`
`boolean` | `useBuiltinIdentityClass`
`boolean` | `useDataStoreIdentity`
`boolean` | `useForeignKeyName`
`boolean` | `useGenericCollections`
`boolean` | `useSchemaName`
`String` | `versionStrategy`

Constructor Summary
`ReverseMappingTool.Flags()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### packageName

    public String packageName

### directory

    public File directory

### useSchemaName

    public boolean useSchemaName

### useForeignKeyName

    public boolean useForeignKeyName

### nullableAsObject

    public boolean nullableAsObject

### blobAsObject

    public boolean blobAsObject

### useGenericCollections

    public boolean useGenericCollections

### typeMap

    public Properties typeMap

### primaryKeyOnJoin

    public boolean primaryKeyOnJoin

### useDataStoreIdentity

    public boolean useDataStoreIdentity

### useBuiltinIdentityClass

    public boolean useBuiltinIdentityClass

### innerIdentityClasses

    public boolean innerIdentityClasses

### identityClassSuffix

    public String identityClassSuffix

### inverseRelations

    public boolean inverseRelations

### detachable

    public boolean detachable

### generateAnnotations

    public boolean generateAnnotations

### accessType

    public String accessType

### metaDataLevel

    public String metaDataLevel

### discriminatorStrategy

    public String discriminatorStrategy

### versionStrategy

    public String versionStrategy

### customizer

    public ReverseCustomizer customizer

### format

    public CodeFormat format

Constructor Detail

### ReverseMappingTool.Flags

    public ReverseMappingTool.Flags()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.